de.esprit.appsuite.xml

## Class XmlDataCollector<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.appsuite.xml.XmlDataCollector<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable
  Direct Known Subclasses:
    AbstractDBOCollector

      public abstract class XmlDataCollector<C extends ApplicationContext>
      extends SimpleLogSupportAdapter
      implements ApplicationObject<C>

  This is the base class for collecting data as result from XML parsing
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlDataCollector()`
    `XmlDataCollector(LogChannel logCh)`
    `XmlDataCollector(LogChannel logCh, boolean isStopOnError)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getApplicationContext()`
    `XmlDataParser<C>` | `getParser()`
    `ParseTracker` | `getParseTracker()`
    `boolean` | `isStopOnError()`
    `void` | `setParser(XmlDataParser<C> parser)` Sets the current parser during run.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlDataCollector

          public XmlDataCollector()

    - #### XmlDataCollector

          public XmlDataCollector(LogChannel logCh)

    - #### XmlDataCollector

          public XmlDataCollector(LogChannel logCh,
                          boolean isStopOnError)

  - ### Method Detail

    - #### getApplicationContext

          public final C getApplicationContext()

      Specified by:
        `getApplicationContext` in interface `ApplicationObject<C extends ApplicationContext>`

    - #### isStopOnError

          public boolean isStopOnError()

    - #### getParseTracker

          public ParseTracker getParseTracker()

    - #### setParser

          public void setParser(XmlDataParser<C> parser)

      Sets the current parser during run.

    - #### getParser

          public XmlDataParser<C> getParser()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.